=== debian/changelog ===
xnbd (0.0.3+hg20110222-1) unstable; urgency=low

  * New upstream release
  * Adapt to changes as upstream now incorporates several
    Debian improvements (man pages, Makefile).
  * Fixes license issue with upstream code

 -- Arno Töll <debian@toell.net>  Tue, 03 May 2011 18:39:29 +0200

xnbd (0.0.3+hg20110210-1) unstable; urgency=low

  * Initial release (Closes: #612817)  

 -- Arno Töll <debian@toell.net>  Thu, 10 Feb 2011 15:32:57 -0500
