=== debian/control ===
Source: xnbd
Section: admin
Priority: extra
Maintainer: Arno Töll <debian@toell.net>
Build-Depends: debhelper (>= 8.0), libglib2.0-dev, docbook-to-man
Standards-Version: 3.9.2
Homepage: https://bitbucket.org/hirofuchi/xnbd/wiki/Home
Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/xnbd/trunk
Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/xnbd/trunk?root=collab-maint

Package: xnbd-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Block Device server with support for live migration
 xNBD is a NBD (Network Block Device) server program, which is fully compatible 
 with the NBD client driver of Linux kernel. It adds extended features to the 
 traditional NBD server:
 .
  * Better performance
  * Support for distributed copy-on-write disks
  * Live storage migration for virtual machines.
  * IPv6 support. 
 .
 This is the server side of the program
 


Package: xnbd-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Network Block Device client with support for live migration
 xNBD is a NBD (Network Block Device) server program, which is fully compatible 
 with the NBD client driver of Linux kernel. It adds extended features to the 
 traditional NBD server:
 .
  * Better performance
  * Support for distributed copy-on-write disks
  * Live storage migration for virtual machines.
  * IPv6 support. 
 .
 This is the client side of the program
