## xnbd 0.1.0

=== Makefile ===
--- 
+++ 
@@ -27,7 +27,11 @@
 
 # -O3 $(MAKE)s a broken binary.
 # CFLAGS_COMMON=-g -O2 -Wall -Wextra -Wstrict-aliasing=2 -Wformat=2 -Wcast-qual -Wcast-align -Wwrite-strings -Wfloat-equal -Wpointer-arith -Wswitch-enum -Wconversion -fstack-protector -fstack-check -Wextra -std=gnu99 `pkg-config --cflags --libs glib-2.0 gthread-2.0` -llzo2
+
 CFLAGS_COMMON=-g -O2 -Wall -Wextra -Wstrict-aliasing=2 -Wformat=2 -Wcast-qual -Wcast-align -Wwrite-strings -Wfloat-equal -Wpointer-arith -Wswitch-enum -Wconversion -fstack-protector -fstack-check -std=gnu99 `pkg-config --cflags --libs glib-2.0 gthread-2.0`
+CFLAGS_COMMON=-g -O2 -Wall -Wextra -Wstrict-aliasing=2 -Wformat=2 -Wcast-align -Wwrite-strings -Wfloat-equal -Wpointer-arith -Wswitch-enum -fstack-protector -fstack-check -std=gnu99 `pkg-config --cflags --libs glib-2.0 gthread-2.0`
+
+
 #CFLAGS_COMMON=-g -O2 -Wall -Wextra -fstack-check -std=gnu99 `pkg-config --cflags --libs glib-2.0 gthread-2.0` -llzo2 -DXNBD_LZO
 #CFLAGS_COMMON=-g -O2 -ftrapv -Wall -Wextra -Wstrict-aliasing=2 -Wformat=2 -Wcast-qual -Wcast-align -Wwrite-strings -Wfloat-equal -Wpointer-arith -Wswitch-enum -Wconversion -fstack-protector -fstack-check -std=gnu99 `pkg-config --cflags --libs glib-2.0 gthread-2.0` -llzo2
 XUTILSPATH=./lib
@@ -40,10 +44,10 @@
 
 #CFLAGS=-g3 -fstack-protector -fmudflapth -lmudflapth -Wall -Wextra -std=gnu99
 
-SRC=xnbd.c xnbd_common.c xnbd_cachestat.c xnbd_proxy.c xnbd_target.c xnbd_target_cow_lzo.c
+SRC=xnbd.c xnbd_common.c xnbd_cachestat.c xnbd_proxy.c xnbd_proxy_forwarder.c xnbd_target.c xnbd_target_cow_lzo.c
 OBJ=$(SRC:%.c=%.o)
 
-xnbdobj_dbg=$(patsubst %.c, %___dbg.o, $(SRC))
+OBJ_DBG=$(patsubst %.c, %___dbg.o, $(SRC))
 
 
 %.o: %.c
@@ -59,7 +63,7 @@
 	$(CC) -MM $(CFLAGS_DEBUG) $< -MQ $@ -MQ $(patsubst %.d, %.o, $@) -MF $@
 
 
-default: xnbd-server xnbd-bgctl xnbd-client xnbd-watchdog
+default: xnbd-server xnbd-bgctl xnbd-client xnbd-watchdog xnbd-wrapper
 
 # 1. Put $(OBJ) before $(CFLAGS). To avoid undefined reference error, object
 # files must be followed by static libraries to be linked with them.
@@ -72,13 +76,9 @@
 	$(MAKE) -C $(XUTILSPATH)
 	$(CC) $^ $(CFLAGS) -o xnbd-server 
 
-xnbd-server-debug: $(xnbdobj_dbg)
+xnbd-server-debug: $(OBJ_DBG)
 	$(MAKE) -C $(XUTILSPATH)
 	$(CC) $^ $(CFLAGS_DEBUG) -o xnbd-server-debug
-
-xnbd-server-test: xnbd_proxy.c $(filter-out xnbd_proxy.o, $(OBJ))
-	$(MAKE) -C $(XUTILSPATH)
-	$(CC) $^ $(CFLAGS) -DXNBD_STATIC_BGCTLPATH -o xnbd-server-test
 
 xnbd-server-cachestat: $(OBJ)
 	$(MAKE) -C $(XUTILSPATH)
@@ -100,6 +100,10 @@
 	$(MAKE) -C $(XUTILSPATH)
 	$(CC) $^ $(CFLAGS) -o xnbd-bgctl
 
+xnbd-bgctl-debug: xnbd_bgctl.c $(filter-out xnbd___dbg.o, $(OBJ_DBG))
+	$(MAKE) -C $(XUTILSPATH)
+	$(CC) $^ $(CFLAGS_DEBUG) -o xnbd-bgctl-debug
+
 xnbd-client: xnbd_client.c $(filter-out xnbd.o, $(OBJ))
 	$(MAKE) -C $(XUTILSPATH)
 	$(CC) $^ $(CFLAGS) -o xnbd-client
@@ -107,6 +111,10 @@
 xnbd-watchdog: xnbd_watchdog.c $(filter-out xnbd.o, $(OBJ))
 	$(MAKE) -C $(XUTILSPATH)
 	$(CC) $^ $(CFLAGS) -o xnbd-watchdog
+
+xnbd-wrapper: xnbd_wrapper.c $(filter-out xnbd.o, $(OBJ))
+	$(MAKE) -C $(XUTILSPATH)
+	$(CC) $^ $(CFLAGS) -o xnbd-wrapper
 
 .PHONY: manpages
 manpages:
@@ -123,11 +131,13 @@
 clean:
 	$(MAKE) -C $(XUTILSPATH) clean
 	$(MAKE) -C doc clean
-	$(RM) -rf *.o *.d xnbd-server xnbd-server-debug xnbd-server-test xnbd-server-cachestat xnbd-cachestatdump xnbd-bgctl xnbd-tester xnbd-client xnbd-watchdog
+	$(RM) -rf *.o *.d xnbd-server xnbd-server-debug xnbd-server-test xnbd-server-cachestat xnbd-cachestatdump xnbd-bgctl xnbd-tester xnbd-client xnbd-watchdog xnbd-wrapper
 
 install: default
 	$(INSTALL) -D --mode=0755 xnbd-server $(DESTDIR)/usr/sbin/xnbd-server
 	$(INSTALL) -D --mode=0755 xnbd-bgctl  $(DESTDIR)/usr/sbin/xnbd-bgctl
+	$(INSTALL) -D --mode=0755 xnbd-wrapper  $(DESTDIR)/usr/sbin/xnbd-wrapper
+	$(INSTALL) -D --mode=0755 xnbd-wrapper-ctl.py  $(DESTDIR)/usr/sbin/xnbd-wrapper-ctl
 	$(INSTALL) -D --mode=0755 xnbd-client  $(DESTDIR)/usr/bin/xnbd-client
 	$(INSTALL) -D --mode=0755 xnbd-watchdog $(DESTDIR)/usr/bin/xnbd-watchdog
