## xnbd 0.1.0-pre+hg20110702

=== debian/changelog ===
xnbd (0.1.0-pre+hg20110702-1) unstable; urgency=low

  [ Arno Töll ]
  * New upstream release.
  * Update `README.Debian' to reflect the most recent status
  * Ship `xnbd-register' a Debian helper to restore xNBD devices at boot. This
    is a Debian specific improvement which is driven by a configuration file
    located in `/etc/xnbd.conf'.
  * Add `wrapper-daemonize.patch' which enables to run the `xnbd-wrapper'
    command in the background and to shutdown upon request.
  * Add `xnbd-common' package which contains startup wrapper for both,
    `xnbd-client' and `xnbd-server'.
  * Add patch `fix-xnbd-path' to reflect better the Debian installation layout.
  * Build depend on Python helpers.
  
  [ Sven Höxter ]
  * Add DM-Upload-Allowed: yes.

 -- Arno Töll <debian@toell.net>  Tue, 19 Jul 2011 21:09:03 +0200
