=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_install:
	dh_install --fail-missing

override_dh_auto_build:
	docbook-to-man doc/xnbd-client.1.sgml > debian/xnbd-client.1
	docbook-to-man doc/xnbd-server.8.sgml > debian/xnbd-server.8
	docbook-to-man doc/xnbd-bgctl.1.sgml > debian/xnbd-bgctl.1
	docbook-to-man doc/xnbd-watchdog.1.sgml > debian/xnbd-watchdog.1
	docbook-to-man doc/xnbd-wrapper.8.sgml > debian/xnbd-wrapper.8
	docbook-to-man doc/xnbd-wrapper-ctl.8.sgml > debian/xnbd-wrapper-ctl.8
	# xnbd-register is a Debian improvement
	docbook-to-man debian/xnbd-register.8.sgml > debian/xnbd-register.8
	dh_auto_build

override_dh_clean:
	dh_clean
	rm -f debian/xnbd-client.1 debian/xnbd-server.8 debian/xnbd-bgctl.1 \
		debian/xnbd-watchdog.1 debian/xnbd-wrapper.8 debian/xnbd-wrapper-ctl.8

override_dh_installinit:
	# don't start upon installation/upgrade. We can't ship a feasible
	# default configuration.
	dh_installinit --no-start
