## xnbd 0.1.0-pre-hg17-c29967ffe2f3

=== debian/changelog ===
xnbd (0.1.0-pre-hg17-c29967ffe2f3-1) unstable; urgency=low

  * New upstream release
  * Remove debian/xnbd-register.8 upon clean
  * Switch to new versioning scheme based on hg versions. This versioning
    scheme can be mapped automatically from a Debian version to a given
    upstream snapshot. Hence a get-orig-source target is provided now which
    can be used to retrieve orig.tar.bz2 tarballs.
  * Remove `wrapper-daemonize.patch': Merged upstream
  * Make package ready for dpkg 1.16.1 and inject build flags into the build
    process. This means, xnbd is now being built with -fstack-protector and
    other security related build flags. To achieve this, the Makefile has
    been rewritten and successively been merged upstream.
  * Add patch `install-xnbd-wrapper-ctl' which makes sure the upstream control
    helper is being installed.
  * Fix some smaller syntax error in the DEP-5 copyright file.
  * Fix a bug in xnbd-register to make sure the server instance is started
    first. This allows one to run both, server and client on the same machine,
    being started from the same configuration file.
  * Add `module-init-tools' to runtime dependencies to make sure, the command is
    available.

 -- Arno Töll <debian@toell.net>  Tue, 25 Oct 2011 00:57:12 +0200
