=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 
 
 Package: xnbd-client
-Architecture: any
+Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  xnbd-common (= ${source:Version})
@@ -54,7 +54,8 @@
 Architecture: all
 Depends: ${misc:Depends},
  lsb-base (>= 3.2-14),
- python-argparse,
+ python (>= 2.7) | python-argparse,
+ module-init-tools,
  ${python:Depends}
 Description: Network Block Device - common files
  xNBD is a NBD (Network Block Device) server program, which is fully compatible
