=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

VERSION := $(shell dpkg-parsechangelog | perl -ne 'print $$1 if m/Version:\s*([\w\.\-\+]+)-\d+/')
REPOSITORY_REV := $(shell echo "$(VERSION)" | perl -ne 'print $$1 if m/hg\d+-(\w+)/')
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS LDFLAGS



%:
	dh $@ --with python2

override_dh_install:
	dh_install --fail-missing

override_dh_auto_build:
	# xnbd-register is a Debian improvement
	docbook-to-man debian/xnbd-register.8.sgml > debian/xnbd-register.8
	make -C trunk

override_dh_auto_clean:
	make -C trunk clean

override_dh_auto_install:
	make -C trunk install DESTDIR=../debian/tmp

override_dh_installinit:
	# don't start upon installation/upgrade. We can't ship a feasible
	# default configuration.
	dh_installinit --no-start


get-orig-source:
	# Version generated by: hg log -r . --template '{latesttag}-hg{latesttagdistance}-{node|short}\n'
	set -e
	hg clone https://bitbucket.org/hirofuchi/xnbd xnbd-$(VERSION)
	cd xnbd-$(VERSION) && hg archive -X .hg_archival.txt -X .hgtags -r $(REPOSITORY_REV) -t tbz2 ../xnbd_$(VERSION).orig.tar.bz2
	rm -rf xnbd-$(VERSION)
