## xnbd 0.1.0-pre-hg20

=== trunk/Makefile ===
--- 
+++ 
@@ -97,5 +97,6 @@
 	do \
 		$(INSTALL) -D --mode=0755 $$file "$(PREFIX)/$$file" ; \
 	done
+	$(INSTALL) -D --mode=0755 xnbd-wrapper-ctl.py "$(PREFIX)/xnbd-wrapper-ctl"
 
 -include $(patsubst %.c, %.d, $(SRC))
