## xnbd 0.1.0-pre-hg20-e75b93a47722

=== debian/changelog ===
xnbd (0.1.0-pre-hg20-e75b93a47722-3) unstable; urgency=medium

  * Fix "Documentation Error: Option --blocksize mistyped" use correct
    spelling(Closes: #691842)
  * CVE-2013-0265: Fix symlink vulnerability spotted by Sebastian Pipping
    <spipping@wavecon.de>. Moreover, thanks Sebastian for providing a patch.

 -- Arno Töll <arno@debian.org>  Thu, 07 Feb 2013 22:45:10 +0100

xnbd (0.1.0-pre-hg20-e75b93a47722-2) unstable; urgency=low

  * Do a full source rebuild again, now that #670557 is fixed.

 -- Arno Töll <arno@debian.org>  Mon, 28 May 2012 19:16:30 +0200

xnbd (0.1.0-pre-hg20-e75b93a47722-1) unstable; urgency=low

  * New upstream snapshot
  * Refresh patches, drop install-xnbd-wrapper-ctl which was applied upstream.
  * Update my maintainer address and remove "DM-Upload-Allowed: Yes". I don't
    need that anymore.
  * Push standards version to 3.9.3 without further changes.
  * Fix "fails to start, claiming "glib thread not supported"" by adding a
    patch which drops obsolete macro calls which are triggered by the glib 2.32
    transition (Closes: #670521)
  * Temporarily do NOT rebuild manpages from source because of #670557.

 -- Arno Töll <arno@debian.org>  Thu, 26 Apr 2012 19:49:52 +0200
