=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: xnbd
 Section: admin
 Priority: extra
-Maintainer: Arno Töll <debian@toell.net>
+Maintainer: Arno Töll <arno@debian.org>
 Build-Depends: debhelper (>= 8.0),
  libglib2.0-dev,
  docbook-to-man,
  python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: https://bitbucket.org/hirofuchi/xnbd/wiki/Home
 Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/xnbd/trunk
 Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/xnbd/trunk?root=collab-maint
-DM-Upload-Allowed: yes
 
 Package: xnbd-server
 Architecture: any
