## xnbd 0.2.0~rc2-hg1-abf8cc7a1ab0

=== debian/changelog ===
xnbd (0.2.0~rc2-hg1-abf8cc7a1ab0-2) unstable; urgency=low

  * Fix "xnbd-common init script dies during start-up" and use the correct
    path. xndb-register was promoted to the upstream codebase and they decided
    to install it to /usr/sbin. Thus, the init script needs an adaption (Closes: #723559)

 -- Arno Töll <arno@debian.org>  Wed, 18 Sep 2013 11:38:57 +0200

xnbd (0.2.0~rc2-hg1-abf8cc7a1ab0-1) unstable; urgency=low

  * New upstream release
  * Refresh patches:
    - Drop patch fix-670521: Merged upstream
    - Drop patch fix-xnbd-path: The path is deprecated upstream and does not
      work anymore that way
    - Drop patch pelling-fix.patch: applied upstream
    - Drop CVE-2013-0265.patch: Obsoleted by new upstream release
  * Add build-depends to dh-autoreconf, upstream uses autotools now, but we
    build from hg trunk.
  * Remove xnbd-register from the Debian specific additions. It is included
    upstream now.
  * Convert xnbd-common to an architecture specific package, as we ship
    private libraries in it now.
  * Switch build-dependency from docbook to asciidoc. Upstream uses asciidoc
    now.
  * Push standards without additional changes.

 -- Arno Töll <arno@debian.org>  Sat, 08 Jun 2013 11:36:56 +0200
