=== debian/control ===
--- 
+++ 
@@ -4,19 +4,24 @@
 Maintainer: Arno Töll <arno@debian.org>
 Build-Depends: debhelper (>= 8.0),
  libglib2.0-dev,
- docbook-to-man,
- python-all-dev (>= 2.6.6-3~)
-Standards-Version: 3.9.3
+ asciidoc,
+ libxml2-utils,
+ docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ python-all-dev (>= 2.6.6-3~),
+ dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: https://bitbucket.org/hirofuchi/xnbd/wiki/Home
-Vcs-Svn: svn://scm.alioth.debian.org/svn/collab-maint/ext-maint/xnbd/trunk
-Vcs-Browser: https://alioth.debian.org/scm/viewvc.php/ext-maint/xnbd/trunk?root=collab-maint
+Vcs-Git: git://anonscm.debian.org/collab-maint/xnbd.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xnbd.git
 
 Package: xnbd-server
 Architecture: any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends},
- xnbd-common (= ${source:Version})
+ xnbd-common (= ${binary:Version})
 Description: Network Block Device server with support for live migration
  xNBD is a NBD (Network Block Device) server program, which is fully compatible
  with the NBD client driver of Linux kernel. It adds extended features to the
@@ -30,12 +35,11 @@
  This is the server side of the program
 
 
-
 Package: xnbd-client
 Architecture: linux-any
 Depends: ${shlibs:Depends},
  ${misc:Depends},
- xnbd-common (= ${source:Version})
+ xnbd-common (= ${binary:Version})
 Description: Network Block Device client with support for live migration
  xNBD is a NBD (Network Block Device) server program, which is fully compatible
  with the NBD client driver of Linux kernel. It adds extended features to the
@@ -50,8 +54,9 @@
 
 
 Package: xnbd-common
-Architecture: all
+Architecture: any
 Depends: ${misc:Depends},
+ ${shlibs:Depends},
  lsb-base (>= 3.2-14),
  python (>= 2.7) | python-argparse,
  module-init-tools,
