## xnbd 0.3.0

=== debian/changelog ===
xnbd (0.3.0-1ubuntu1) utopic; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 12:19:56 +0200

xnbd (0.3.0-1) unstable; urgency=medium

  * New upstream version
  * Fix "please do not depend on module-init-tools", rather depend on kmod
    now. Thanks to MD for the hint (Closes: #733697)
  * Push standards, no changes needed
  * Remove dh-autoreconf: not needed anymore

 -- Arno Töll <arno@debian.org>  Mon, 17 Feb 2014 00:12:22 -1100
