=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: extra
 Maintainer: Arno Töll <arno@debian.org>
 Build-Depends: debhelper (>= 8.0),
+ dh-autoreconf,
  libglib2.0-dev,
  asciidoc,
  libxml2-utils,
@@ -10,8 +11,7 @@
  docbook-xsl,
  xsltproc,
  python-all-dev (>= 2.6.6-3~),
- dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: https://bitbucket.org/hirofuchi/xnbd/wiki/Home
 Vcs-Git: git://anonscm.debian.org/collab-maint/xnbd.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xnbd.git
@@ -59,7 +59,7 @@
  ${shlibs:Depends},
  lsb-base (>= 3.2-14),
  python (>= 2.7) | python-argparse,
- module-init-tools,
+ kmod,
  ${python:Depends}
 Description: Network Block Device - common files
  xNBD is a NBD (Network Block Device) server program, which is fully compatible
