=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 	rm -f debian/tmp/usr/share/doc/xnbd/xnbd-*.html debian/tmp/usr/share/doc/xnbd/docbook-xsl.css
 	# Debian does not want .la files
 	rm -f debian/tmp/usr/lib/xnbd/libxnbd_internal.la
+	# changelog/README and man pages are installed by respective helpers.
 	dh_install --list-missing
 
 override_dh_installinit:
