=== debian/watch ===
version=3
opts=dversionmangle=s/\+hg\d{8}$// \
	https://bitbucket.org/hirofuchi/xnbd/downloads/xnbd-(\d+\.\d+.\d+)\.tar\.gz debian uupdate
